'use strict';

exports.__esModule = true;
exports.isDateValid = isDateValid;
exports.toDateString = toDateString;
exports.formatDateStringToISO = formatDateStringToISO;

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isDateValid() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

    return !value || typeof value !== 'string' ? false : (0, _moment2.default)(value, [_moment2.default.ISO_8601, 'L'], 'pt-br', true).isValid();
}

function toDateString() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    return (0, _moment2.default)(value).format('L');
}

function formatDateStringToISO() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

    return (0, _moment2.default)(value, 'L', 'pt-br').toISOString();
}